# 数据源配置
spring:
  redis:
    database: 1
    host: 127.0.0.1
    port: 6379
    password:      # 密码（默认为空）
    timeout: 6000ms  # 连接超时时长（毫秒）
    lettuce:
      pool:
        max-active: 1000  # 连接池最大连接数（使用负值表示没有限制）
        max-wait: -1ms    # 连接池最大阻塞等待时间（使用负值表示没有限制）
        max-idle: 10      # 连接池中的最大空闲连接
        min-idle: 5       # 连接池中的最小空闲连接
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://127.0.0.1:3306/data_cloud_workflow?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
    username: root
    password: 1234@abcd
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      auto-commit: false
      connection-timeout: 30000
      idle-timeout: 25000
      login-timeout: 5
      max-lifetime: 30000
      read-only: false
      validation-timeout: 3000
      maximum-pool-size: 15
      minimum-idle: 5
      pool-name: DataxHikariCP
      connection-test-query: SELECT 1 FROM DUAL
      data-source-properties:
        cachePrepStmts: true
        prepStmtCacheSize: 250
        prepStmtCacheSqlLimit: 2048
        useServerPrepStmts: true
        useLocalSessionState: true
        rewriteBatchedStatements: true
        cacheResultSetMetadata: true
        cacheServerConfiguration: true
        elideSetAutoCommits: true
        maintainTimeStats: false

# spring security 配置
security:
  oauth2:
    client:
      access-token-uri: http://localhost:8612/auth/oauth/token
      user-authorization-uri: http://localhost:8612/auth/oauth/authorize
      client-id: datax
      client-secret: 123456
      scope: all
    resource:
      loadBalanced: true
      token-info-uri: http://localhost:8612/auth/oauth/check_token

flowable:
  #  关闭定时任务JOB
  async-executor-activate: false
  #  将databaseSchemaUpdate设置为true。当Flowable发现库与数据库表结构不一致时，会自动将数据库表结构升级至新版本。
  database-schema-update: true